MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032518Open CASCADE[OCCT] OCCT:Visualizationpublic2021-08-04 09:402021-08-07 13:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032518: Visualization - add AIS_InteractiveContext::SetDefaultDrawer()
DescriptionIt is proposed adding a setter AIS_InteractiveContext::SetDefaultDrawer() to the property AIS_InteractiveContext::DefaultDrawer().
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032506verifiedbugmaster Visualization - add AIS_InteractiveContext::ObjectIterator() for iterating over objects in context 

-  Notes
(0102966)
git (administrator)
2021-08-04 09:42

Branch CR32518 has been created by kgv.

SHA-1: 26d36f168ca965a8575bb3f1e4086a6d18f1a7b9


Detailed log of new commits:

Author: kgv
Date: Wed Aug 4 09:42:04 2021 +0300

    0032518: Visualization - add AIS_InteractiveContext::SetDefaultDrawer()
(0102968)
kgv (developer)
2021-08-04 11:01

Please raise the patch
- OCCT: branch CR32518.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32518-master-KGV/ [^]
(0103054)
bugmaster (administrator)
2021-08-07 13:11

Combination -
OCCT branch : IR-2021-08-06
master SHA - 27e64adb38a9a8e6370b5dbd38a9018313884a9c
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-08-06 SHA - d93b03b621e54fe532eb3f2eba1a1613534cfc91
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17370.66000000038 / 17380.800000000403 [-0.06%]
Products
Total CPU difference: 11454.410000000084 / 11476.060000000101 [-0.19%]
Windows-64-VC14:
OCCT
Total CPU difference: 19180.84375 / 19196.421875 [-0.08%]
Products
Total CPU difference: 12822.75 / 12808.78125 [+0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0103074)
git (administrator)
2021-08-07 13:38

Branch CR32518 has been deleted by mnt.

SHA-1: 26d36f168ca965a8575bb3f1e4086a6d18f1a7b9

- Related Changesets
occt: master e93008ab
Timestamp: 2021-08-04 06:42:04
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032518: Visualization - add AIS_InteractiveContext::SetDefaultDrawer()
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-08-04 09:40 kgv New Issue
2021-08-04 09:40 kgv Assigned To => kgv
2021-08-04 09:41 kgv Relationship added related to 0032506
2021-08-04 09:42 git Note Added: 0102966
2021-08-04 11:01 kgv Note Added: 0102968
2021-08-04 11:01 kgv Assigned To kgv => bugmaster
2021-08-04 11:01 kgv Status new => resolved
2021-08-04 11:01 kgv Status resolved => reviewed
2021-08-07 13:11 bugmaster Note Added: 0103054
2021-08-07 13:11 bugmaster Status reviewed => tested
2021-08-07 13:13 bugmaster Test case number => Not required
2021-08-07 13:27 bugmaster Changeset attached => occt master e93008ab
2021-08-07 13:27 bugmaster Status tested => verified
2021-08-07 13:27 bugmaster Resolution open => fixed
2021-08-07 13:38 git Note Added: 0103074


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker